<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
    @author fabio.navarrete
     
    Pantalla genérica que contiene los datos de los diferentes encabezados
    (solicitud y trámite) para las pantallas de ejecución
    
    Parámetros:
    -managedBeanParam: Managed Bean que contiene el trámite del cuál se mostrarán datos en esta pantalla
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             id="listadoDeDocumentosPanelGrid">

    <ui:include src="encabezadoSolicitudTramite.xhtml">
        <ui:param name="tramiteParam"
                  value="#{managedBeanParam.selectedTramite}" />
        <ui:param name="muestraFechaRadicacionParam" value="true" />
    </ui:include>

    <p:dataTable id="documentosRequeridos"
                 var="documentacionTramite" 
                 widgetVar="documentosRequeridosWV" paginatorPosition="bottom"
                 value="#{alistamientoInformacion.documentacionesTramite}" 
                 rowKey="#{documentacionTramite.id}"
                 selection="#{managedBeanParam.selectedDocumentacionesTramite}"
                 emptyMessage="No hay documentación relacionada con el trámite">

        <f:facet name="header">Documentos del trámite</f:facet>

        <p:column selectionMode="multiple" 
                  disabledSelection="#{documentacionTramite.documentoSoporte.archivo eq ' '}"/>

        <p:column>
            <f:facet name="header">Aportado</f:facet>
            <h:outputText styleClass="outputTextStyle"
                          value="#{documentacionTramite.aporta ? 'Si' : 'No'}" />

        </p:column>

        <p:column>
            <f:facet name="header">Radicado<br />correspondencia</f:facet>
            <h:outputText styleClass="outputTextStyle"
                          value="#{documentacionTramite.documentoSoporte.numeroRadicacion}">
                <f:convertDateTime pattern="#{general.formatoFecha}" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Fecha radicación"
                              title="Fecha de radicación en correspondencia" />
            </f:facet>
            <h:outputText styleClass="outputTextStyle"
                          value="#{documentacionTramite.documentoSoporte.fechaRadicacion}">
                <f:convertDateTime pattern="#{general.formatoFecha}" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Tipo documento</f:facet>
            <h:outputText styleClass="outputTextStyle"
                          value="#{documentacionTramite.tipoDocumento.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">Detalle</f:facet>
            <h:outputText styleClass="outputTextStyle"
                          value="#{documentacionTramite.detalle}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Cant. folios" title="Cantidad de folios" />
            </f:facet>
            <h:outputText styleClass="outputTextStyle"
                          value="#{documentacionTramite.cantidadFolios}" />
        </p:column>
        <p:column>
            <f:facet name="header">Documento</f:facet>

            <p:commandLink
                value="#{documentacionTramite.documentoSoporte.archivo}"
                update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                oncomplete="docViewerWV.show();statusDialog2.hide()"
                onstart="statusDialog2.show()"
                action="#{vistaDetallesTramite.cargarDocumentoTemporalPrev}"
                rendered="#{!documentacionTramite.documentoSoporte.archivoADescargar}">
                <f:setPropertyActionListener
                    target="#{previsualizacionDocumento.documentoAlfresco}"
                    value="#{documentacionTramite.documentoSoporte}" />
                <f:setPropertyActionListener
                    target="#{vistaDetallesTramite.selectedTramiteDocumentacion}"
                    value="#{documentacionTramite}" />

            </p:commandLink>


        </p:column>

    </p:dataTable>

    <p:spacer width="0" height="10" />
    <p:messages id="mensajesListadoDocumentos" globalOnly="false" />

    <p:dataTable var="predio" rowKey="#{predio.id}" id="documentosDelPredio"
                 value="#{managedBeanParam.selectedTramite.predios}"
                 emptyMessage="No hay documentos asociados al predio">

        <f:facet name="header">Documentos del predio</f:facet>

        <p:column>
            <f:facet name="header">Número predial</f:facet>
            <p:commandLink
                value="#{predio.formatedNumeroPredial}"
                process="@this" update=":dpCC:detallesPredioTV" styleClass="commandLinkStyle"
                oncomplete="detallePredioWV.show()"
                action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}">
                <f:setPropertyActionListener
                    target="#{vistaDetallesSolicitud.numeroPredial}"
                    value="#{predio.numeroPredial}" />
            </p:commandLink>

        </p:column>

        <p:column>
            <f:facet name="header">Ficha predial</f:facet>
            <h:selectBooleanCheckbox value="#{predio.imprimirFichaPredial}">
                <p:ajax process="@this" />			
            </h:selectBooleanCheckbox>
            <p:spacer width="7" height="0" />
            <p:commandLink action="#{alistamientoInformacion.generarFichaPredialDigital}"
                           onstart="statusDialog2.show()"
                           oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, viewFichaPredialDigitalWV, true);"
                           update=":viewFichaPredialDigital:vistaMemoForm,:listadoDocumentosForm:mensajesListadoDocumentos" process="@this">
                <h:outputText value="Ver" styleClass="commandLinkStyle" />
                <f:setPropertyActionListener target="#{managedBeanParam.selectedPredio}" value="#{predio}"/>
            </p:commandLink>
        </p:column>

        <p:column>
            <f:facet name="header">Carta catastral</f:facet>
            <h:selectBooleanCheckbox value="#{predio.imprimirCartaCatastral}" disabled="#{alistamientoInformacion.banderaPredioFiscal}">
                <p:ajax process="@this" />
            </h:selectBooleanCheckbox>
            <p:spacer width="7" height="0" />
            <p:commandLink action="#{alistamientoInformacion.generarCartaCatastralUrbana}"
                           disabled="#{alistamientoInformacion.banderaPredioFiscal}"
                           onstart="statusDialog2.show()"
                           oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, viewCartaCatastralUrbanaWV1, true);"
                           update=":vistaCartaCatastralForm, :listadoDocumentosForm:mensajesListadoDocumentos" process="@this">
                <h:outputText value="Ver" styleClass="commandLinkStyle" />
                <f:setPropertyActionListener target="#{managedBeanParam.selectedPredio}" value="#{predio}"/>
            </p:commandLink>
        </p:column>

    </p:dataTable>

    <h:panelGrid columns="3" rendered="#{managedBeanParam.selectedTramite.quinta}">

        <h:selectBooleanCheckbox value="#{managedBeanParam.descargarCartaCatastralQuinta}">
            <p:ajax process="@this" />
        </h:selectBooleanCheckbox>

        <h:outputLabel value="Carta catastral: " styleClass="outputLabelStyle" />

        <p:commandLink  value="Ver documento"
                        title="Ver el documento de las carta catastral del predio"
                        action="#{managedBeanParam.generarCartaCatastralUrbanaQuinta}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, viewCartaCatastralUrbanaWV, true);"
                        update=":vistaCartaCatastralForm, :listadoDocumentosForm:mensajesListadoDocumentos" process="@this"
                        styleClass="commandLinkStyle">
        </p:commandLink>
    </h:panelGrid>

    <p:spacer width="0" height="10" />

    <h:panelGrid columns="2">
        <p:commandButton value="Descargar documentos"
                         id="descargarDocumentosBtn" icon="ui-icon ui-icon-print"
                         ajax="false">
            <p:fileDownload value="#{managedBeanParam.documentosAsociadosATramite}" />
        </p:commandButton>

    </h:panelGrid>
</h:panelGrid>
